## kadu 0.6.5.4.ds1

=== CMakeLists.txt ===
add_subdirectory (mimetex)
set (SOURCES
	formula_view.cpp
	formula_widget.cpp
	mime_tex.cpp
	tex_formula_dialog.cpp
	mime_tex_ui_handler.cpp
)

set (MOC_SOURCES
	formula_view.h
	formula_widget.h
	mime_tex.h
	tex_formula_dialog.h
	mime_tex_ui_handler.h
)

set (TRANSLATION_SOURCES
	translations/mime_tex_pl.ts
)

set (CONFIGURATION_FILES
	configuration/mime_tex.ui)

set (DATA_FILES
	data/mime_tex_32x32.png
)
set (DATA_FILES_EDITOR_ICONS
	data/editor_icons/redo.png
	data/editor_icons/undo.png
)
set (DATA_FILES_MIME_TEX_ICONS
	data/mime_tex_icons/arrows_tab_Downarrow.png
	data/mime_tex_icons/arrows_tab_icon.png
	data/mime_tex_icons/arrows_tab_leftarrow.png
	data/mime_tex_icons/arrows_tab_Leftarrow.png
	data/mime_tex_icons/arrows_tab_leftharpoondown.png
	data/mime_tex_icons/arrows_tab_leftharpoonup.png
	data/mime_tex_icons/arrows_tab_leftrightarrow.png
	data/mime_tex_icons/arrows_tab_Leftrightarrow.png
	data/mime_tex_icons/arrows_tab_longleftarrow.png
	data/mime_tex_icons/arrows_tab_Longleftarrow.png
	data/mime_tex_icons/arrows_tab_longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_Longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_longrightarrow.png
	data/mime_tex_icons/arrows_tab_Longrightarrow.png
	data/mime_tex_icons/arrows_tab_nearrow.png
	data/mime_tex_icons/arrows_tab_nwarrow.png
	data/mime_tex_icons/arrows_tab_rightarrow.png
	data/mime_tex_icons/arrows_tab_Rightarrow.png
	data/mime_tex_icons/arrows_tab_rightharpoondown.png
	data/mime_tex_icons/arrows_tab_rightharpoonup.png
	data/mime_tex_icons/arrows_tab_rightleftharpoons.png
	data/mime_tex_icons/arrows_tab_searrow.png
	data/mime_tex_icons/arrows_tab_swarrow.png
	data/mime_tex_icons/arrows_tab_uparrow.png
	data/mime_tex_icons/arrows_tab_Uparrow.png
	data/mime_tex_icons/arrows_tab_updownarrow.png
	data/mime_tex_icons/arrows_tab_Updownarrow.png
	data/mime_tex_icons/arrows_tab_vec.png
	data/mime_tex_icons/delimiters_tab_hat.png
	data/mime_tex_icons/delimiters_tab_icon.png
	data/mime_tex_icons/delimiters_tab_langle.png
	data/mime_tex_icons/delimiters_tab_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_bracket.png
	data/mime_tex_icons/delimiters_tab_left_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_square_bracket.png
	data/mime_tex_icons/delimiters_tab_overbrace_desc.png
	data/mime_tex_icons/delimiters_tab_overbrace.png
	data/mime_tex_icons/delimiters_tab_overline.png
	data/mime_tex_icons/delimiters_tab_rangle.png
	data/mime_tex_icons/delimiters_tab_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_bracket.png
	data/mime_tex_icons/delimiters_tab_right_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_square_bracket.png
	data/mime_tex_icons/delimiters_tab_underbrace_desc.png
	data/mime_tex_icons/delimiters_tab_underbrace.png
	data/mime_tex_icons/delimiters_tab_underline.png
	data/mime_tex_icons/greek_letters_tab_alpha.png
	data/mime_tex_icons/greek_letters_tab_beta.png
	data/mime_tex_icons/greek_letters_tab_chi.png
	data/mime_tex_icons/greek_letters_tab_delta.png
	data/mime_tex_icons/greek_letters_tab_Delta.png
	data/mime_tex_icons/greek_letters_tab_epsilon.png
	data/mime_tex_icons/greek_letters_tab_eta.png
	data/mime_tex_icons/greek_letters_tab_gamma.png
	data/mime_tex_icons/greek_letters_tab_Gamma.png
	data/mime_tex_icons/greek_letters_tab_icon.png
	data/mime_tex_icons/greek_letters_tab_iota.png
	data/mime_tex_icons/greek_letters_tab_kappa.png
	data/mime_tex_icons/greek_letters_tab_lambda.png
	data/mime_tex_icons/greek_letters_tab_Lambda.png
	data/mime_tex_icons/greek_letters_tab_mu.png
	data/mime_tex_icons/greek_letters_tab_nu.png
	data/mime_tex_icons/greek_letters_tab_omega.png
	data/mime_tex_icons/greek_letters_tab_Omega.png
	data/mime_tex_icons/greek_letters_tab_phi.png
	data/mime_tex_icons/greek_letters_tab_Phi.png
	data/mime_tex_icons/greek_letters_tab_pi.png
	data/mime_tex_icons/greek_letters_tab_Pi.png
	data/mime_tex_icons/greek_letters_tab_psi.png
	data/mime_tex_icons/greek_letters_tab_Psi.png
	data/mime_tex_icons/greek_letters_tab_rho.png
	data/mime_tex_icons/greek_letters_tab_sigma.png
	data/mime_tex_icons/greek_letters_tab_Sigma.png
	data/mime_tex_icons/greek_letters_tab_tau.png
	data/mime_tex_icons/greek_letters_tab_theta.png
	data/mime_tex_icons/greek_letters_tab_Theta.png
	data/mime_tex_icons/greek_letters_tab_upsilon.png
	data/mime_tex_icons/greek_letters_tab_Upsilon.png
	data/mime_tex_icons/greek_letters_tab_varepsilon.png
	data/mime_tex_icons/greek_letters_tab_varphi.png
	data/mime_tex_icons/greek_letters_tab_varpi.png
	data/mime_tex_icons/greek_letters_tab_varrho.png
	data/mime_tex_icons/greek_letters_tab_varsigma.png
	data/mime_tex_icons/greek_letters_tab_vartheta.png
	data/mime_tex_icons/greek_letters_tab_xi.png
	data/mime_tex_icons/greek_letters_tab_Xi.png
	data/mime_tex_icons/greek_letters_tab_zeta.png
	data/mime_tex_icons/relations_tab_approx.png
	data/mime_tex_icons/relations_tab_bigcap.png
	data/mime_tex_icons/relations_tab_bigcup.png
	data/mime_tex_icons/relations_tab_cap.png
	data/mime_tex_icons/relations_tab_cup.png
	data/mime_tex_icons/relations_tab_equiv.png
	data/mime_tex_icons/relations_tab_frac.png
	data/mime_tex_icons/relations_tab_geq.png
	data/mime_tex_icons/relations_tab_gg.png
	data/mime_tex_icons/relations_tab_icon.png
	data/mime_tex_icons/relations_tab_index_lower.png
	data/mime_tex_icons/relations_tab_index_upper.png
	data/mime_tex_icons/relations_tab_in.png
	data/mime_tex_icons/relations_tab_int_from.png
	data/mime_tex_icons/relations_tab_int_from_to.png
	data/mime_tex_icons/relations_tab_int.png
	data/mime_tex_icons/relations_tab_leq.png
	data/mime_tex_icons/relations_tab_lim.png
	data/mime_tex_icons/relations_tab_ll.png
	data/mime_tex_icons/relations_tab_neq.png
	data/mime_tex_icons/relations_tab_ni.png
	data/mime_tex_icons/relations_tab_oint_from.png
	data/mime_tex_icons/relations_tab_oint_from_to.png
	data/mime_tex_icons/relations_tab_oint.png
	data/mime_tex_icons/relations_tab_pm.png
	data/mime_tex_icons/relations_tab_prod_from.png
	data/mime_tex_icons/relations_tab_prod_from_to.png
	data/mime_tex_icons/relations_tab_prod.png
	data/mime_tex_icons/relations_tab_simeq.png
	data/mime_tex_icons/relations_tab_sim.png
	data/mime_tex_icons/relations_tab_sqrt_n.png
	data/mime_tex_icons/relations_tab_sqrt.png
	data/mime_tex_icons/relations_tab_subseteq.png
	data/mime_tex_icons/relations_tab_subset.png
	data/mime_tex_icons/relations_tab_sum_from.png
	data/mime_tex_icons/relations_tab_sum_from_to.png
	data/mime_tex_icons/relations_tab_sum.png
	data/mime_tex_icons/relations_tab_supseteq.png
	data/mime_tex_icons/relations_tab_supset.png
	data/mime_tex_icons/symbols_tab_aleph.png
	data/mime_tex_icons/symbols_tab_angle.png
	data/mime_tex_icons/symbols_tab_bot.png
	data/mime_tex_icons/symbols_tab_cdot.png
	data/mime_tex_icons/symbols_tab_cdots.png
	data/mime_tex_icons/symbols_tab_ddots.png
	data/mime_tex_icons/symbols_tab_emptyset.png
	data/mime_tex_icons/symbols_tab_forall.png
	data/mime_tex_icons/symbols_tab_hbar.png
	data/mime_tex_icons/symbols_tab_icon.png
	data/mime_tex_icons/symbols_tab_Im.png
	data/mime_tex_icons/symbols_tab_infty.png
	data/mime_tex_icons/symbols_tab_ldots.png
	data/mime_tex_icons/symbols_tab_nabla.png
	data/mime_tex_icons/symbols_tab_partial.png
	data/mime_tex_icons/symbols_tab_prime.png
	data/mime_tex_icons/symbols_tab_Re.png
	data/mime_tex_icons/symbols_tab_surd.png
	data/mime_tex_icons/tex_icon.png
)

if(WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif(WIN32)

kadu_module_desc (mime_tex.desc)
kadu_module_configuration(${CONFIGURATION_FILES})

qt_wrap_cpp (mime_tex MOC_FILES ${MOC_SOURCES})

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/modules/translations")

install (FILES ${DATA_FILES}
	DESTINATION "share/kadu/modules/data/mime_tex")
install (FILES ${DATA_FILES_EDITOR_ICONS}
	DESTINATION "share/kadu/modules/data/mime_tex/editor_icons")
install (FILES ${DATA_FILES_MIME_TEX_ICONS}
	DESTINATION "share/kadu/modules/data/mime_tex/mime_tex_icons")

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (mime_tex ${mime_tex} ${SOURCES} ${MOC_FILES})
add_custom_target (mime_tex-translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (mime_tex mime_tex-translations)
add_custom_target (mime_tex-data DEPENDS ${DATA_FIlES})
if (mime_tex STREQUAL STATIC)
	set_target_properties(mime_tex PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (mime_tex STREQUAL STATIC)
	if (WIN32)
		target_link_libraries(mime_tex kadu_core)
	endif (WIN32)
endif (mime_tex STREQUAL STATIC)

install (TARGETS mime_tex DESTINATION ${MODULEDIR})

=== kadu-core/CMakeLists.txt ===
set (kadu_SRCS
	about.cpp
	action.cpp
	activate.cpp
	chat_edit_box.cpp
	chat_manager.cpp
	chat_message.cpp
	chat_messages_view.cpp
	chat_widget.cpp
	chat_window.cpp
	color_button.cpp
	color_selector.cpp
	config_file.cpp
	configuration_aware_object.cpp
	configuration_window.cpp
	configuration_window_widgets.cpp
	custom_input.cpp
	debug.cpp
	dnshandler.cpp
	emoticons.cpp
	expimp.cpp
	gadu.cpp
	gadu_resolver.cpp
	gadu_images_manager.cpp
	gadu-private.cpp
	groups_manager.cpp
	hot_key.cpp
	html_document.cpp
	http_client.cpp
	icons_manager.cpp
	ignore.cpp
	kadu.cpp
	kadu_main_window.cpp
	kadu_parser.cpp
	kadu_text_browser.cpp
	main_configuration_window.cpp
	message.cpp
	message_box.cpp
	misc.cpp
	modules.cpp
	path_list_edit.cpp
	pending_msgs.cpp
	personal_info.cpp
	preview.cpp
	protocol.cpp
	protocols_manager.cpp
	search.cpp
	select_file.cpp
	select_font.cpp
	status_changer.cpp
	status.cpp
	syntax_editor.cpp
	tabbar.cpp
	themes.cpp
	toolbar.cpp
	updates.cpp
	userbox.cpp
	usergroup.cpp
	userinfo.cpp
	userlist.cpp
	userlistelement.cpp
	userlist-private.cpp
)

set (kadu_MOC_SRCS
	about.h
	action.h
	chat_edit_box.h
	chat_manager.h
	chat_messages_view.h
	chat_widget.h
	chat_window.h
	color_button.h
	color_selector.h
	configuration_window.h
	configuration_window_widgets.h
	custom_input.h
	dnshandler.h
	emoticons.h
	expimp.h
	gadu.h
	gadu_resolver.h
	gadu-private.h
	groups_manager.h
	http_client.h
	icons_manager.h
	ignore.h
	kadu.h
	kadu_main_window.h
	kadu_text_browser.h
	main_configuration_window.h
	message_box.h
	misc.h
	modules.h
	path_list_edit.h
	pending_msgs.h
	personal_info.h
	preview.h
	protocol.h
	protocols_manager.h
	search.h
	select_file.h
	select_font.h
	status_changer.h
	status.h
	syntax_editor.h
	tabbar.h
	themes.h
	toolbar.h
	updates.h
	userbox.h
	usergroup.h
	userinfo.h
	userlist.h
	userlistelement.h
	userlist-private.h
)

if (UNIX AND NOT APPLE)
	if (NOT DESKTOP_ENTRY)
		set(DESKTOP_ENTRY ${CMAKE_CURRENT_BINARY_DIR}/kadu.desktop)
	endif (NOT DESKTOP_ENTRY)

	add_custom_command(OUTPUT ${DESKTOP_ENTRY}
		COMMAND touch ${DESKTOP_ENTRY}
		COMMAND sh ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh ${CMAKE_INSTALL_PREFIX} >${DESKTOP_ENTRY}
		DEPENDS ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh
		COMMENT "Generating desktop entry file"
	)
	add_custom_target( DESKTOP_ENTRY_FILE ALL
		DEPENDS ${DESKTOP_ENTRY}
	)
endif (UNIX AND NOT APPLE)


qt_wrap_cpp (kadu MOC_FILES ${kadu_MOC_SRCS})

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

link_directories (modules)

if (WIN32)
	add_library(kadu_core SHARED ${kadu_SRCS} ${MOC_FILES} kadu_core.rc)
	set_target_properties(kadu_core PROPERTIES DEFINE_SYMBOL KADULIB )
	target_link_libraries (kadu_core ${STATIC_MODULES} ${QT_LIBRARIES} ${LIBGADU_LIBRARIES})

if (MINGW)
  exec_program (windres ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "kadu_mingw.rc kadu_rc.o"
		OUTPUT_VARIABLE NULL_VAR)
  add_executable(kadu WIN32 main.cpp main_win32.cpp kadu_rc.o)
	add_executable(kadu_c main.cpp main_win32.cpp)
else (MINGW)
	add_executable(kadu WIN32 main.cpp main_win32.cpp kadu.rc)
	add_executable(kadu_c main.cpp main_win32.cpp kadu.rc)
endif (MINGW)
	set_target_properties(kadu_c PROPERTIES COMPILE_FLAGS "-DKADU_CONSOLE" )

	target_link_libraries (kadu kadu_core ${QT_QTMAIN_LIBRARY})
	target_link_libraries (kadu_c kadu_core)
else (WIN32)
	add_executable (kadu main.cpp main_unix.cpp ${kadu_SRCS} ${MOC_FILES})
	set_target_properties (kadu PROPERTIES ENABLE_EXPORTS ON)
	target_link_libraries (kadu ${STATIC_MODULES} ${QT_LIBRARIES} ${LIBGADU_LIBRARIES})
endif (WIN32)

install (TARGETS kadu DESTINATION bin)

# install desktop file
if (UNIX AND NOT APPLE)
	install(FILES ${DESKTOP_ENTRY} DESTINATION share/applications)
endif (UNIX AND NOT APPLE)


# install icons
install (FILES hi16-app-kadu.png DESTINATION "share/icons/hicolor/16x16/apps" RENAME kadu.png)
install (FILES hi22-app-kadu.png DESTINATION "share/icons/hicolor/22x22/apps" RENAME kadu.png)
install (FILES hi24-app-kadu.png DESTINATION "share/icons/hicolor/24x24/apps" RENAME kadu.png)
install (FILES hi32-app-kadu.png DESTINATION "share/icons/hicolor/32x32/apps" RENAME kadu.png)
install (FILES hi48-app-kadu.png DESTINATION "share/icons/hicolor/48x48/apps" RENAME kadu.png)
install (FILES hi64-app-kadu.png DESTINATION "share/icons/hicolor/64x64/apps" RENAME kadu.png)
install (FILES hi128-app-kadu.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME kadu.png)
# As of icon-theme-0.5 maximum supported pixmap size is 192, for anything larger one should use SVG.
#install (FILES hi256-app-kadu.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME kadu.png)

if (APPLE)
	pkg_search_module (SNDFILE REQUIRED sndfile>=1.0)
	include_directories (${SNDFILE_INCLUDE_DIRS})
	link_directories (${SNDFILE_LIBRARY_DIRS})
endif (APPLE)

=== mimetex/CMakeLists.txt ===
set (SOURCES
	mimetex.c
	gifsave.c
)
add_definitions(-DAA)

add_executable(mimetex ${SOURCES})
target_link_libraries(mimetex m)
install (TARGETS mimetex DESTINATION lib/kadu/modules/bin/mime_tex)

=== modules/CMakeLists.txt ===
If (WIN32)
	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-all.bat ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS OFF
		OUTPUT_VARIABLE MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.bat ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "y" ${MODULES}
		OUTPUT_VARIABLE STATIC_MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.bat ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "m" ${MODULES}
		OUTPUT_VARIABLE DYNAMIC_MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.bat ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "n" ${MODULES}
		OUTPUT_VARIABLE DISABLED_MODULES)

#	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/check-deps.bat ${CMAKE_CURRENT_SOURCE_DIR}
#		ARGS ${STATIC_MODULES} - ${DYNAMIC_MODULES}
#		OUTPUT_VARIABLE DEPS_MESSAGE
#		RETURN_VALUE DEPS_STATUS
#	)

	if (DEPS_STATUS EQUAL 1)
		message (FATAL_ERROR ${DEPS_MESSAGE})
	endif (DEPS_STATUS EQUAL 1)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/create-static-modules.bat ${CMAKE_CURRENT_BINARY_DIR}
		ARGS ${STATIC_MODULES}
		OUTPUT_VARIABLE NULL_VAR
	)

else (WIN32)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-all.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS ${ENABLE_AUTODOWNLOAD}
		OUTPUT_VARIABLE MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "y" ${MODULES}
		OUTPUT_VARIABLE STATIC_MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "m" ${MODULES}
		OUTPUT_VARIABLE DYNAMIC_MODULES)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/get-list.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS "n" ${MODULES}
		OUTPUT_VARIABLE DISABLED_MODULES)
#autodownload:
	if (ENABLE_AUTODOWNLOAD)
		foreach (MODULE ${STATIC_MODULES} ${DYNAMIC_MODULES})
			if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}.web)
				if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}/.autodownloaded OR NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}/CMakeLists.txt)
					exec_program (${CMAKE_SOURCE_DIR}/varia/scripts/autodownload ${CMAKE_CURRENT_SOURCE_DIR}
						ARGS module ${MODULE}
						RETURN_VALUE DOWNLOAD_STATUS
					)
					if (DOWNLOAD_STATUS EQUAL 1)
						message (FATAL_ERROR ${MODULE} " download failed!")
					endif (DOWNLOAD_STATUS EQUAL 1)
					exec_program (${CMAKE_SOURCE_DIR}/varia/scripts/autopatch ${CMAKE_SOURCE_DIR}
						ARGS ${MODULE}
					)
				endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}/.autodownloaded OR NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}/CMakeLists.txt)
			endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}.web)
		endforeach (MODULE)
	endif (ENABLE_AUTODOWNLOAD)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/check-deps.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS ${AWK} ${STATIC_MODULES} - ${DYNAMIC_MODULES}
		OUTPUT_VARIABLE DEPS_MESSAGE
		RETURN_VALUE DEPS_STATUS
	)	

	if (DEPS_STATUS EQUAL 1)
		message (FATAL_ERROR ${DEPS_MESSAGE})
	endif (DEPS_STATUS EQUAL 1)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/create-static-modules.sh ${CMAKE_CURRENT_BINARY_DIR}
		ARGS ${STATIC_MODULES}
		OUTPUT_VARIABLE NULL_VAR
	)

	find_program (AWK NAMES awk gawk)
endif (WIN32)

if (NOT STATIC_MODULES STREQUAL "\n")
	set (STATIC_MODULES ${STATIC_MODULES} CACHE INTERNAL "")

	foreach (MODULE ${STATIC_MODULES})
		message (STATUS "Static module: " ${MODULE})
		set (${MODULE} STATIC)
		link_directories (${MODULE})
		add_subdirectory (${MODULE})
	endforeach (MODULE)
endif (NOT STATIC_MODULES STREQUAL "\n")

if (NOT DYNAMIC_MODULES STREQUAL "\n")
	foreach (MODULE ${DYNAMIC_MODULES})
		message (STATUS "Dynamic module: " ${MODULE})
		if (WIN32)
			set (${MODULE} SHARED)
		else (WIN32)
			set (${MODULE} MODULE)
		endif (WIN32)
	# 	link_directories (${MODULE})
		add_subdirectory (${MODULE})
	endforeach (MODULE)
endif (NOT DYNAMIC_MODULES STREQUAL "\n")

=== translations/CMakeLists.txt ===
set (TRANSLATION_SOURCES
	kadu_de.ts
	kadu_en.ts
	kadu_fr.ts
	kadu_it.ts
	kadu_pl.ts
	qt_de.ts
	qt_en.ts
	qt_fr.ts
	qt_it.ts
	qt_pl.ts
)

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

add_custom_target (translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (kadu translations)

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/translations")

=== modules/account_management/CMakeLists.txt ===
set (SOURCES
	account_management.cpp
	change_password.cpp
	register.cpp
	remind_password.cpp
	unregister.cpp
)

set (MOC_SOURCES
	account_management.h
	change_password.h
	register.h
	remind_password.h
	unregister.h
)

set (TRANSLATION_SOURCES
	translations/account_management_de.ts
	translations/account_management_fr.ts
	translations/account_management_it.ts
	translations/account_management_pl.ts
)

if(WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif(WIN32)

kadu_module_desc (account_management.desc)
qt_wrap_cpp (account_management MOC_FILES ${MOC_SOURCES})

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/modules/translations")

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (account_management ${account_management} ${SOURCES} ${MOC_FILES})
add_custom_target (account_management-translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (account_management account_management-translations)
if (account_management STREQUAL STATIC)
	set_target_properties(account_management PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (account_management STREQUAL STATIC)
	if (WIN32)
		target_link_libraries(account_management kadu_core)
	endif (WIN32)
	if (APPLE)
		set_target_properties(account_management PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
	endif (APPLE)
	install (TARGETS account_management DESTINATION ${MODULEDIR})
endif (account_management STREQUAL STATIC)

=== modules/alsa_sound/CMakeLists.txt ===
set (SOURCES
	alsa_sound.cpp
)

set (MOC_SOURCES
	alsa_sound.h
)

set (TRANSLATION_SOURCES
	translations/alsa_sound_de.ts
	translations/alsa_sound_fr.ts
	translations/alsa_sound_it.ts
	translations/alsa_sound_pl.ts
)

set (CONFIGURATION_FILES
	configuration/alsa_sound.ui)

kadu_module_desc (alsa_sound.desc)
kadu_module_configuration(${CONFIGURATION_FILES})
qt_wrap_cpp (alsa_sound MOC_FILES ${MOC_SOURCES})

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/modules/translations")

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

pkg_search_module (ALSA REQUIRED alsa)

add_library (alsa_sound ${alsa_sound} ${SOURCES} ${MOC_FILES})
add_custom_target (alsa_sound-translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (alsa_sound alsa_sound-translations)

target_link_libraries (alsa_sound ${ALSA_LIBRARIES})
include_directories (${ALSA_INCLUDE_DIRS})

if (alsa_sound STREQUAL STATIC)
	set_target_properties(alsa_sound PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (alsa_sound STREQUAL STATIC)
	install (TARGETS alsa_sound DESTINATION ${MODULEDIR})
endif (alsa_sound STREQUAL STATIC)

=== modules/amarok1_mediaplayer/CMakeLists.txt ===
set (SOURCES
	amarok.cpp
)

set (MOC_SOURCES
	amarok.h
)

kadu_module_desc (amarok1_mediaplayer.desc)
qt_wrap_cpp (amarok1_mediaplayer MOC_FILES ${MOC_SOURCES})

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (amarok1_mediaplayer ${amarok1_mediaplayer} ${SOURCES} ${MOC_FILES})

if (amarok1_mediaplayer STREQUAL STATIC)
	set_target_properties(amarok1_mediaplayer PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (amarok1_mediaplayer STREQUAL STATIC)
	install (TARGETS amarok1_mediaplayer DESTINATION ${MODULEDIR})
endif (amarok1_mediaplayer STREQUAL STATIC)

=== modules/amarok2_mediaplayer/CMakeLists.txt ===
set (SOURCES
	amarok2.cpp
)

set (MOC_SOURCES
	amarok2.h
)

kadu_module_desc (amarok2_mediaplayer.desc)
qt_wrap_cpp (amarok2_mediaplayer MOC_FILES ${MOC_SOURCES})

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (amarok2_mediaplayer ${amarok2_mediaplayer} ${SOURCES} ${MOC_FILES})

target_link_libraries (amarok2_mediaplayer ${QT_QTDBUS_LIBRARY})

if (amarok2_mediaplayer STREQUAL STATIC)
	set_target_properties(amarok2_mediaplayer PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (amarok2_mediaplayer STREQUAL STATIC)
	install (TARGETS amarok2_mediaplayer DESTINATION ${MODULEDIR})
endif (amarok2_mediaplayer STREQUAL STATIC)

=== modules/autoaway/CMakeLists.txt ===
set (SOURCES
	autoaway.cpp
)

set (MOC_SOURCES
	autoaway.h
)

set (TRANSLATION_SOURCES
	translations/autoaway_de.ts
	translations/autoaway_fr.ts
	translations/autoaway_it.ts
	translations/autoaway_pl.ts
)

set (CONFIGURATION_FILES
	configuration/autoaway.ui)

if(WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif(WIN32)

kadu_module_desc (autoaway.desc)
kadu_module_configuration(${CONFIGURATION_FILES})
qt_wrap_cpp (autoaway MOC_FILES ${MOC_SOURCES})

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/modules/translations")

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (autoaway ${autoaway} ${SOURCES} ${MOC_FILES})
add_custom_target (autoaway-translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (autoaway autoaway-translations)
if (autoaway STREQUAL STATIC)
	set_target_properties(autoaway PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (autoaway STREQUAL STATIC)
	if (WIN32)
		target_link_libraries(autoaway kadu_core idle)
	endif (WIN32)
	if (APPLE)
		set_target_properties(autoaway PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
	endif (APPLE)
	install (TARGETS autoaway DESTINATION ${MODULEDIR})
endif (autoaway STREQUAL STATIC)

=== modules/dbus/CMakeLists.txt ===
set (SOURCES
	kadudbus.cpp
	kadurootobject.cpp
)

set (MOC_SOURCES
	kadudbus.h
	kadurootobject.h
)

kadu_module_desc(dbus.desc)

if(WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif(WIN32)

qt_wrap_cpp (dbus MOC_FILES ${MOC_SOURCES})

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (dbus ${dbus} ${SOURCES} ${MOC_FILES})
#add_custom_target (dbus-translations DEPENDS ${TRANSLATION_FILES})
#add_dependencies (dbus dbus-translations)

if (UNIX AND NOT APPLE)
	target_link_libraries (dbus ${QT_QTDBUS_LIBRARY})
endif (UNIX AND NOT APPLE)

if (dbus STREQUAL STATIC)
	set_target_properties(dbus PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (dbus STREQUAL STATIC)
	if (WIN32)
		target_link_libraries(dbus kadu_core)
	endif (WIN32)
	install (TARGETS dbus DESTINATION ${MODULEDIR})
endif (dbus STREQUAL STATIC)

=== modules/default_sms/CMakeLists.txt ===
set (SOURCES
	default_sms.cpp
)

set (MOC_SOURCES
	default_sms.h
)

set (TRANSLATION_SOURCES
	translations/default_sms_de.ts
	translations/default_sms_fr.ts
	translations/default_sms_it.ts
	translations/default_sms_pl.ts
)

set (CONFIGURATION_FILES
	configuration/default_sms.ui)

if(WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif(WIN32)

kadu_module_desc (default_sms.desc)
kadu_module_configuration(${CONFIGURATION_FILES})
qt_wrap_cpp (default_sms MOC_FILES ${MOC_SOURCES})

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

install (FILES ${TRANSLATION_FILES}
	DESTINATION "share/kadu/modules/translations")

if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

add_library (default_sms ${default_sms} ${SOURCES} ${MOC_FILES})
add_custom_target (default_sms-translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (default_sms default_sms-translations)
if (default_sms STREQUAL STATIC)
	set_target_properties(default_sms PROPERTIES COMPILE_FLAGS "-DKADULIB" )
else (default_sms STREQUAL STATIC)
	if (WIN32)
		target_link_libraries(default_sms kadu_core sms)
	endif (WIN32)
	if (APPLE)
		set_target_properties(default_sms PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
	endif (APPLE)
	install (TARGETS default_sms DESTINATION ${MODULEDIR})
endif (default_sms STREQUAL STATIC)

=== debian/changelog ===
kadu (0.6.5.4.ds1-3ubuntu2) maverick; urgency=low

  * Remove libqt4-webkit-dev from build-depends and add
    libqtwebkit-dev for qtwebkit transition

 -- Kiszel Kristóf <ulysses@kubuntu.org>  Wed, 21 Jul 2010 15:24:54 +0200

kadu (0.6.5.4.ds1-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, (LP: #602465) remaining changes:
    - debian/control: Build-Depend on libqt4-webkit-dev as
      QtWebKit is no longer part of libqt4-deve.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 14 Jul 2010 20:41:27 +0200

kadu (0.6.5.4.ds1-3) unstable; urgency=low

  * Added missing #include <sys/stat.h> to main.cpp -- fixing FTBFS on Ubuntu
    Maverick
  * Bumped Standards-Version to 3.9.0

 -- Patryk Cisek <patryk@debian.org>  Tue, 13 Jul 2010 15:20:52 +0200

kadu (0.6.5.4.ds1-2) unstable; urgency=low

  * Updated debian/README.source to fit to new packaging schema
    3.0 (quilt)

 -- Patryk Cisek <patryk@debian.org>  Thu, 24 Jun 2010 13:57:04 +0200

kadu (0.6.5.4.ds1-1) unstable; urgency=low

  * Added missing copyright notices about dbus and pajacyk modules to
    debian/copyright
  * Updated year ranges in debian/copyright from ...-2009 to ...-2010
  * Standards-Version to 3.8.4
  * Migrated to 3.0 (quilt) format
  * Set fake 0.6.5.4.ds1 version to simulate new upstream release.
  * Now original Kadu .tar.bz2 is .orig.tar.bz2 instead being put inside
    .orig.tar.gz.

 -- Patryk Cisek <patryk@debian.org>  Mon, 21 Jun 2010 14:36:20 +0200

kadu (0.6.5.4-1ubuntu1) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 21:13:29 +0200

kadu (0.6.5.4-1) unstable; urgency=low

  * New upstream release
  * Refreshed patches in debian/patches to code changes since last stable
    release of Kadu
  * Added debian/patches/06-mail.patch -- updates external mail module
    to new API in kadu-0.6.5.4. Patch maintained by Kadu Team.
  * Updated external modules to their newest versions
  * Added dbus module to kadu package
  * Added pajacyk, single_window and mpris_mediaplayer to
    kadu-external-modules
  * Added kadu-pajacyk external module

 -- Patryk Cisek <patryk@debian.org>  Mon, 08 Feb 2010 08:34:11 +0000

kadu (0.6.5.4~rc1-2) experimental; urgency=low

  * Backported upstream image sending fix

 -- Patryk Cisek <patryk@debian.org>  Fri, 18 Dec 2009 08:41:24 +0000

kadu (0.6.5.4~rc1-1) experimental; urgency=low

  * New upstream release
  * Updated external modules to their newest upstream versions
  * Updated external themes to their newest upstream versions

 -- Patryk Cisek <patryk@debian.org>  Tue, 08 Dec 2009 17:17:11 +0000

kadu (0.6.5.3-2) unstable; urgency=low

  * Added debian/patches/05-lib64-suffix-fix.patch to fix FTBFS on 64-bit
    architectures

 -- Patryk Cisek <patryk@debian.org>  Tue, 15 Sep 2009 12:51:15 +0200

kadu (0.6.5.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.3 (no changed needed)
  * Added -DLIB_SUFFIX_64=0 to cmake invocation to force kadu's modules
    being installed in /usr/lib on 64-bit architectures

 -- Patryk Cisek <patryk@debian.org>  Thu, 10 Sep 2009 09:53:38 +0200

kadu (0.6.5.2-4) unstable; urgency=low

  * Fixed regressive bug: AUTHORS, THANKS, LICENSE, about-changes-tab.txt are
    again (after abandoning CDBS) prevented from being compressed, since
    their contents are listed in About dialog box

 -- Patryk Cisek <patryk@debian.org>  Mon, 27 Jul 2009 13:01:21 +0200

kadu (0.6.5.2-3) unstable; urgency=low

  * CDBS is no longer used for building
  * Removed build dependency on autotools-dev -- Kadu is cmake-based now
  * Backported upstream patch
    (debian/patches/05-backported-plus_pl_sms-AJAX-fix.patch) for plus_pl_sms
    to make it work with new AJAX SMS gateway

 -- Patryk Cisek <patryk@debian.org>  Sun, 26 Jul 2009 13:37:43 +0200

kadu (0.6.5.2-2) unstable; urgency=low

  * Added debian/patches/04-gcc4.4-build-fix.patch, which fixes compilation
    errors, when using gcc-4.4 (Closes: #525892)

 -- Patryk Cisek <patryk@prezu.one.pl>  Tue, 12 May 2009 17:38:34 +0200

kadu (0.6.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/extract.sh: Added "-k" to tar invocations to avoid overwriting
    potentially patched (by debian/patches) external modules/themes
  * Added encryption module -- new version gets rid of GPL vs. OpenSSL
    license issue
  * Updated debian/patches/02-.config.patch to include new modules
  * Added new Build-Depends to compile newly added modules
  * Bumped Standards-Version to 3.8.1

 -- Patryk Cisek <patryk@prezu.one.pl>  Sat, 02 May 2009 10:13:44 +0200

kadu (0.6.5.1-5) unstable; urgency=low

  * Removed debian/patches/05-default_sms-fix.patch and
    debian/patches/06-saveWindowsGeometry-fix.patch -- they've alreadt been
    applied upstream
  * qt4_docking is now linked dynamically (Closes: #515045)
  * Removed "libvlc0-dev | libvlc-dev, and xmms2-dev" from Build-Depends --
    *_mediaplayer modules in their current versions use D-Bus to communicate
    players

 -- Patryk Cisek <patryk@prezu.one.pl>  Fri, 13 Feb 2009 15:34:33 +0100

kadu (0.6.5.1-4) unstable; urgency=low

  * Added debian/patches/04-config_wizard_no_data_content.patch -- content of
    /usr/share/kadu/modules/data/config_wizard/ should not be empty. It should
    contain some .png files needed by config_wizard module. This patch fixes
    the bug.

 -- Patryk Cisek <patryk@prezu.one.pl>  Tue, 10 Feb 2009 09:53:19 +0100

kadu (0.6.5.1-3) unstable; urgency=low

  * Changed the order of libvlc-dev and libvlc0-dev in Build-Depends -- sbuild
    failed to build the package when $check_depends_algorithm = "first-only";
    in sbuild.conf was set

 -- Patryk Cisek <patryk@prezu.one.pl>  Sun, 08 Feb 2009 15:14:36 +0100

kadu (0.6.5.1-2) unstable; urgency=low

  * Moving 0.6.5.1 from experimental to unstable

 -- Patryk Cisek <patryk@prezu.one.pl>  Mon, 02 Feb 2009 21:30:29 +0100

kadu (0.6.5.1-1) experimental; urgency=low



=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
Build-Depends: cmake (>=2.6), debhelper (>= 7), patchutils (>= 0.2.25), sharutils, bzip2, libqt4-dev, libao-dev, libsndfile1-dev (>= 1.0), libcurl3-gnutls-dev, libaudio-dev, libxtst-dev, libgadu-dev, libaspell-dev, libasound-dev, libdbus-1-dev, libqca2-dev, x11proto-scrnsaver-dev, libxss-dev, libphonon-dev, libqtwebkit-dev
Standards-Version: 3.9.0
Homepage: http://kadu.net

Package: kadu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kadu-common (= ${source:Version}), libqca2-plugin-ossl
Recommends: kadu-external-modules (>= 0.6.5-1)
Conflicts: kadu-external-modules (<< 0.6.5-1), kadu-kde-modules, kadu-gtk-modules
Replaces: kadu-kde-modules, kadu-gtk-modules
Suggests: kadu-themes
Description: Gadu-Gadu client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides Kadu along with modules developed by Kadu developers.

Package: kadu-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kadu-external-modules (>= 0.6.5-1)
Conflicts: kadu (<< 0.6.5-1)
Suggests: kadu-themes
Description: Gadu-Gadu client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-external-modules
Architecture: any
Depends: kadu (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: kadu (<< 0.6.5-1)
Description: Additional modules for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides additional packages developed by external developers.
 See README.Debian for more details.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu (>= 0.5.0-1)
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides additional icons and emoticons themes for Kadu.

=== debian/watch ===
version=3
opts="dversionmangle=s/\.ds\.\d+$//,uversionmangle=s/-(alpha|beta|rc)/~$1/" \
http://www.kadu.net/download/stable/kadu-(.*)\.tar\.bz2
